curl --location --request DELETE 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow", {
method: "DELETE",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
print(response.json())
{
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"following": false
}
Tasks
Unfollow Task
Stop following a task.
DELETE
/
api
/
v1
/
tasks
/
{task_id}
/
follow
curl --location --request DELETE 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow", {
method: "DELETE",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
print(response.json())
{
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"following": false
}
Idempotent — unfollowing a task you don’t follow succeeds.
curl --location --request DELETE 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow", {
method: "DELETE",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
print(response.json())
{
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"following": false
}
⌘I